import regValue from "@/utils/regValue";
import {
  unitSelect,
  serialNumberRuleSelect,
  processLineSelect,
  bmTableSelect,
} from "@/services/craft";
import { doFetch } from "@/utils/doFetch";

export default {
  jbsx: {
    title: "基本属性",
    type: "split",
    col: { span: 24 },
    name: ["jbsx"],
  },
  materieCode: {
    value: null,
    type: "input",
    title: "物料编码",
    name: ["materieCode"],
    required: true,
  },
  materieName: {
    value: null,
    type: "input",
    title: "物料名称",
    name: ["materieName"],
    required: true,
  },
  materieTypeId: {
    value: null,
    type: "treeselect",
    title: "物料类型",
    name: ["materieTypeId"],
    required: true,
    options: {
      database: (params) =>
        doFetch({
          url: "/ngic-workmanship/pmMaterieType/queryTreeList",
          params,
        }),
      params: {},
    },
  },
  materieControl: {
    value: null,
    type: "select",
    title: "管控方式",
    name: ["materieControl"],
    required: true,
    options: {
      database: (params) =>
        doFetch({
          url: "/ngic-base-business/sysDic/queryMaterieControlSelect",
          params,
        }),
      params: {},
    },
  },
  specificationModel: {
    value: null,
    type: "input",
    title: "规格型号",
    name: ["specificationModel"],
    required: true,
  },
  issueType: {
    type: "select",
    title: "发料类型",
    name: ["issueType"],
    required: true,
    options: {
      database: (params) =>
        doFetch({
          url: "/ngic-base-business/sysDic/queryMaterieTypeSelect",
          params,
        }),
      params: {},
    },
  },
  scsx: {
    title: "生产属性",
    type: "split",
    col: { span: 24 },
    name: ["scsx"],
  },
  ironLoss: {
    value: null,
    type: "inputnumber",
    title: "铁损",
    name: ["ironLoss"],
    required: false,
  },
  sheetThickness: {
    value: null,
    type: "inputnumber",
    title: "片厚",
    name: ["sheetThickness"],
    required: false,
  },
  unilateralThickness: {
    value: null,
    type: "inputnumber",
    title: "宽度",
    name: ["unilateralThickness"],
    required: false,
  },
  shopSign: {
    value: null,
    type: "inputnumber",
    title: "牌号",
    name: ["shopSign"],
    required: false,
  },
  cksx: {
    title: "仓库属性",
    type: "split",
    name: ["cksx"],
    col: { span: 24 },
  },
  productionUnit: {
    value: null,
    type: "select",
    title: "库存单位",
    name: ["productionUnit"],
    required: true,
    options: {
      database: (params) =>
        doFetch({
          url: "/ngic-base-business/sysDic/queryMaterieUnitSelect",
          params,
        }),
      params: {},
    },
  },
  storeId: {
    value: null,
    type: "select",
    title: "默认仓库",
    name: ["storeId"],
    required: false,
    options: {
      database: (params) =>
        doFetch({ url: "/ngic-auth/sysStore/selectionBoxAll", params }),
      params: {},
    },
  },
  storeAreaId: {
    value: null,
    type: "select",
    title: "默认库区",
    name: ["storeAreaId"],
    options: {
      database: (params) =>
        doFetch({ url: "/ngic-auth/sysStoreArea/selection", params }),
      params: {},
    },
    required: false,
  },
};
